# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#

- name: Install libselinux-python (required by playbook)
  yum: name=libselinux-python state=present

- name: Installing haproxy
  yum: name={{ item }} state=present
  with_items:
    - haproxy
    - openssl

- name: Configure haproxy local proxy
  template: src=templates/files/etc/haproxy/haproxy-local.cfg dest=/etc/haproxy/haproxy.cfg
  when: haproxy_local_proxy is defined and haproxy_local_proxy
  notify:
    - Restart haproxy

- name: Copy SSL certificate bundle
  copy: src={{ haproxy_ssl_bundle }} dest=/etc/pki/tls/private/ssl-bundle.pem
  when: haproxy_ssl_bundle is defined
  notify:
    - Restart haproxy

- name: Enable haproxy
  service: name=haproxy enabled=yes

- name: Start haproxy
  service: name=haproxy state=started

